<?php

if(! defined('OT_ROOT')) {
	exit('Access Denied');
}


class IdcArea{

	// IP字段信息格式化
	public static function IpStr($str, $tdStr='<br />'){
		return str_replace(array('|',PHP_EOL), $tdStr, $str .'');
	}

	// IP字段信息格式化
	public static function ToIpArr($str,$point=-1){
		if (strlen(''. $str) == 0){ return ''; }
		$retArr = explode('|', str_replace(PHP_EOL, '|', $str) );
		if ($point == -1){
			return $retArr;
		}else{
			return $retArr[$point];
		}
	}


	// 产品字段前缀数组
	public static function FieldArr($type){
		switch ($type){
			case 'host':	return array('user' => 'HU_',	'data' => 'HD_');
			case 'vpsPro':	return array('user' => 'VPU_',	'data' => 'VPD_');
			case 'vpsApi':	return array('user' => 'VAU_',	'data' => 'VAD_');
			case 'dialing':	return array('user' => 'DU_',	'data' => 'DD_');
			case 'pptp':	return array('user' => 'PU_',	'data' => 'PD_');
			case 'serv':	return array('user' => 'SU_',	'data' => 'SD_');
			default :		die($type .' 不是有效 TypeArr 类型');
		}
	}


	// VPS默认端口号
	public static function VpsDefPort($type, $port){
		if ( in_array($type, array('Linux', 'linux', '106','128','127','101','425','102','126','125','103','123','124','332','138','105','136','137','482','226','135','104','134','133')) ){
			if ($port == 0 || $port == 3389){
				$port = 22;
			}
		}else{
			if ($port == 0 || $port == 22){
				$port = 3389;
			}
		}
		return $port;
	}


	// VPS默认用户名
	public static function VpsDefUsername($type, $user){
		if ( in_array($type, array('Linux', 'linux', '106','128','127','101','425','102','126','125','103','123','124','332','138','105','136','137','482','226','135','104','134','133')) ){
			if (strlen(''. $user) == 0 || $user == 'administrator'){
				$user = 'root';
			}
		}else{
			if (strlen(''. $user) == 0 || $user == 'root'){
				$user = 'administrator';
			}
		}
		return $user;
	}


	// 管理面板内容解密处理
	public static function PanelLoginDecode(){
		$vpsType	= trim(@$_POST['vpsType']);
		if ($vpsType == 'west'){
			$vpsName	= trim(@$_POST['domain']);
			$vpsPwd		= trim(@$_POST['inipass']);
		}else{
			$vpsName	= trim(@$_POST['vpsname']);
			$vpsPwd		= trim(@$_POST['vpspassword']);
		}

		die(''.
		'$id("vpsName").value = "'. Encrypt::SyEnDe('de', Encrypt::AuthCode($vpsName, 'DECODE', 'OTCMSCOM2010')) .'";'.
		'$id("vpsPwd").value = "'. Encrypt::SyEnDe('de', Encrypt::AuthCode($vpsPwd, 'DECODE', 'OTCMSCOM2010')) .'";'.
		'');
	}


	// 管理面板跳转 域名 西部数码
	public static function PanelLoginWest($domain, $domainPwd, $webPathPart=''){
		echo('
		<meta http-equiv="content-type" content="text/html; charset=g'.'b2'.'312">
		<script language="javascript" type="text/javascript" src="'. $webPathPart .'js/inc/jquery.min.js?v='. OT_VERSION .'"></script>
		<script language="javascript" type="text/javascript" src="'. $webPathPart .'js/panelLogin.js?v='. OT_VERSION .'"></script>

		<form id="loginForm" name="loginForm" method="post" action="http://api.west263.com/dns/dnslogin.asp" style="font-size:14px;padding:8px;">
		<input type="hidden" id="webPathPart" name="webPathPart" value="'. $webPathPart .'">
		<input type="hidden" id="vpsType" name="vpsType" value="west">
		<input type="hidden" id="vpsName" name="domain" value="'. Encrypt::AuthCode($domain, 'ENCODE', 'OTCMSCOM2010', 60) .'">
		<input type="hidden" id="vpsPwd" name="inipass" value="'. Encrypt::AuthCode($domainPwd, 'ENCODE', 'OTCMSCOM2010', 60) .'">
		<input name="api" type="hidden" value="6">
		正在跳转中，请稍等……  8秒后如没自动跳转，<input type="submit" name="subBtn" value="请点此继续登录...........">
		</form>
		');
	}


	// 管理面板跳转 网钛IDC
	public static function PanelLoginIdccms($webPathPart, $apiUrl, $vpsName, $vpsPwd){
		$timeStamp = time();
		$userIP	= Users::GetIp();
		$vpsPwd = md5(md5($vpsName . $userIP . $timeStamp) . $vpsPwd);

		echo('
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

		<form id="loginForm" name="loginForm" method="post" action="http://'. $apiUrl .'/login.php" style="font-size:14px;padding:8px;">
		<input type="hidden" id="webPathPart" name="webPathPart" value="'. $webPathPart .'">
		<input type="hidden" id="timeStamp" name="timeStamp" value="'. $timeStamp .'">
		<input type="hidden" id="vpsName" name="vpsName" value="'. $vpsName .'">
		<input type="hidden" id="vpsPwd" name="vpsPwd" value="'. $vpsPwd .'">
		正在跳转中，请稍等……  8秒后如没自动跳转，<input type="submit" name="subBtn" value="请点此继续登录...........">
		</form>
		<script language="javascript" type="text/javascript">
		document.getElementById("loginForm").submit();
		</script>
		');
	}


	// 管理面板跳转 星外
	public static function PanelLoginXingwai($webPathPart, $apiUrl, $vpsName, $vpsPwd){
		echo('
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<script language="javascript" type="text/javascript" src="'. $webPathPart .'js/inc/jquery.min.js?v='. OT_VERSION .'"></script>
		<script language="javascript" type="text/javascript" src="'. $webPathPart .'js/panelLogin.js?v='. OT_VERSION .'"></script>

		<form id="loginForm" name="loginForm" method="post" action="http://'. $apiUrl .'/vpsadm/login.asp" style="font-size:14px;padding:8px;">
		<input type="hidden" id="webPathPart" name="webPathPart" value="'. $webPathPart .'">
		<input type="hidden" id="vpsType" name="vpsType" value="xw">
		<input type="hidden" id="vpsName" name="vpsname" value="'. Encrypt::AuthCode($vpsName, 'ENCODE', 'OTCMSCOM2010', 60) .'">
		<input type="hidden" id="vpsPwd" name="vpspassword" value="'. Encrypt::AuthCode($vpsPwd, 'ENCODE', 'OTCMSCOM2010', 60) .'">
		正在跳转中，请稍等……  8秒后如没自动跳转，<input type="submit" name="subBtn" value="请点此继续登录...........">
		</form>
		');
	}


	// 管理面板跳转 景安
	public static function PanelLoginJingan($type, $dataID, $row){
		global $DB;

		$fArr = self::FieldArr($type);

		$proID			= $row[$fArr['user'] .'proDataID'];
		$serverCode		= Encrypt::SyEnDe('de',$row[$fArr['user'] .'serverCode']);
		$serverPwd		= Encrypt::SyEnDe('de',$row[$fArr['user'] .'serverPwd']);

		$proexe = $DB->query('select '. $fArr['data'] .'typeID,'. $fArr['data'] .'pcountry,'. $fArr['data'] .'ptype,'. $fArr['data'] .'pname from '. OT_dbPref . $type .'Data where '. $fArr['data'] .'ID='. $proID);
			if (! $rs1 = $proexe->fetch()){ JS::AlertCloseEnd('搜索不到相关产品记录['. $proID .']'); }

		$typeexe = $DB->query('select VT_classID,VT_companyID from '. OT_dbPref .'vpsType where VT_ID='. $rs1[$fArr['data'] .'typeID'] .'');
			if (! $rs2 = $typeexe->fetch()){ JS::AlertCloseEnd('搜索不到产品类型['. $rs1[$fArr['data'] .'typeID'] .']'); }

		$comexe = $DB->query('select VC_apiID,VC_apiDomain,VC_apiUsername,VC_apiUserPwd from '. OT_dbPref .'vpsCompany where VC_ID='. $rs2['VT_companyID'] .'');
			if (! $rs3 = $comexe->fetch()){ JS::AlertCloseEnd('搜索不到上级渠道商记录['. $rs2['VT_companyID'] .']'); }

		ApiJingan::$accessId	= $rs3['VC_apiUsername'];
		ApiJingan::$accessKey	= Encrypt::SyEnDe('de',$rs3['VC_apiUserPwd']);
		ApiJingan::$urlMode		= $rs1[$fArr['data'] .'pcountry'];

		if (strlen(''. $serverCode)<3 || strlen(''. $serverPwd)<3){
			$dataArr = array(
				'ptype'		=> $rs1[$fArr['data'] .'ptype'],
				'pname'		=> $rs1[$fArr['data'] .'pname'],
				'workId'	=> $row[$fArr['user'] .'workId'],
				'workSign'	=> $row[$fArr['user'] .'workSign']
				);
			$resArr = ApiJingan::GetServCode($dataArr);
			if (! $resArr['res']){
				JS::AlertCloseEnd('获取服务码失败（'. $resArr['note'] .'）');
			}
			$serverCode		= $resArr['info']['serviceCode'];
			$serverPwd		= $resArr['info']['passwd'];
			$DB->UpdateParam($type .'Users', array($fArr['user'] .'serverCode'=>Encrypt::SyEnDe('en',$serverCode),$fArr['user'] .'serverPwd'=>Encrypt::SyEnDe('en',$serverPwd)), $fArr['user'] .'ID='. $dataID);
		}
		$dataArr = array(
			'serverCode'	=> $serverCode,
			'serverPwd'		=> $serverPwd
			);
		$resArr = ApiJingan::PanelKey($dataArr,true);
		if (! $resArr['res']){
			$dataArr = array(
				'ptype'		=> $rs1[$fArr['data'] .'ptype'],
				'pname'		=> $rs1[$fArr['data'] .'pname'],
				'workId'	=> $row[$fArr['user'] .'workId'],
				'workSign'	=> $row[$fArr['user'] .'workSign']
				);
			$resArr = ApiJingan::GetServCode($dataArr);
			if (! $resArr['res']){
				JS::AlertCloseEnd('获取服务码失败（'. $resArr['note'] .'）');
			}
			$serverCode		= $resArr['info']['serviceCode'];
			$serverPwd		= $resArr['info']['passwd'];
			$DB->UpdateParam($type .'Users', array($fArr['user'] .'serverCode'=>Encrypt::SyEnDe('en',$serverCode),$fArr['user'] .'serverPwd'=>Encrypt::SyEnDe('en',$serverPwd)), $fArr['user'] .'ID='. $dataID);

			$dataArr = array(
				'serverCode'	=> $serverCode,
				'serverPwd'		=> $serverPwd
				);
			$resArr = ApiJingan::PanelKey($dataArr);
			if (! $resArr['res']){
				JS::AlertCloseEnd('获取自助平台Key失败（'. $resArr['note'] .'）');
			}
		}
		if ($rs1[$fArr['data'] .'pcountry'] == 'hk'){
			$panlUrl = 'https://ssp.zzidc.hk/iremotelogin.action';
		}else{
			if (OT::GetStr('mode') == 'old'){
				$panlUrl = 'https://ssp.zzidc.com/iremotelogin.action';
			}else{
				$panlUrl = 'https://nssp.zzidc.com/iremotelogin.action';
			}
		}

		echo('
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

		<form id="loginForm" name="loginForm" method="post" action="'. $panlUrl .'" style="font-size:14px;padding:8px;">
		<input type="hidden" name="code" value="'. $resArr['info'] .'">
		正在跳转中，请稍等……  8秒后如没自动跳转，<input type="submit" name="subBtn" value="请点此继续登录...........">
		</form>
		<script language="javascript" type="text/javascript">
		document.getElementById("loginForm").submit();
		</script>
		');
		unset($rs1,$rs2,$rs3);
	}


	// 拨号VPS 省份
	public static function DialingProvOption($sel,$defVal='no'){
		$provArr = Cache::PhpFile('dialingProv');
		if ($defVal != 'no'){
			$retStr = '<option value="">'. $defVal .'</option>';
		}else{
			$retStr = '';
		}
		foreach ($provArr as $key => $val){
			$retStr .= '<option value="'. $key .'" '. Is::Selected($key,$sel) .'>'. $val .'</option>';
		}
		return $retStr;
	}


	// 景安 可用系统选择
	public static function JinganSystemOption($companyID,$defVal=''){
		global $DB;
		$retStr = '';

		$comRow = $DB->GetRow('select VC_apiDomain,VC_apiUsername,VC_apiUserPwd from '. OT_dbPref .'vpsCompany where VC_ID='. $companyID);
		ApiJingan::$accessId	= $comRow['VC_apiUsername'];
		ApiJingan::$accessKey	= Encrypt::SyEnDe('de',$comRow['VC_apiUserPwd']);
		$listArr = ApiJingan::GetSystemList();
		if (isset($listArr['info'])){
			foreach ($listArr['info'] as $key => $val){
				$retStr .= '<optgroup label="【'. $key .'】" style="font-weight:normal;"></optgroup>';
				sort($val);
				foreach ($val as $val2){
					$retStr .= '<option value="'. $val2['bh'] .'" '. (strlen(''. $defVal)>0 ? Is::Selected($defVal,$val2['bh']) : '') .'>'. $val2['displayName'] .'</option>';
				}
			}
		}
		return $retStr;
	}


	// 获取新的服务器名
	public static function GetNewVpsName($type,$classID){
		global $DB;

		switch ($type){
			case 'host':	$tabName = 'hostUsers';		$tabPart = 'HU_';	break;
			case 'serv':	$tabName = 'servUsers';		$tabPart = 'SU_';	break;
			case 'vpsApi':	$tabName = 'vpsApiUsers';	$tabPart = 'VAU_';	break;
			case 'dialing':	$tabName = 'dialingUsers';	$tabPart = 'DU_';	break;
			case 'pptp':	$tabName = 'pptpUsers';		$tabPart = 'PU_';	break;
			case 'idcServ':	$tabName = 'idcServVps';	$tabPart = 'ISV_';	break;
			default :
				JS::AlertBackEnd('vpsName类型错误（'. $type .'）');
				break;
		}
		$useNum = 0;
		$vpsName = '';
		$classexe = $DB->query('select VC_prefName,VC_useNum,VC_numLen from '. OT_dbPref .'vpsClass where VC_ID='. $classID);
		if (! $row = $classexe->fetch()){
			JS::AlertBackEnd('产品模块检测不出');
		}else{
			for ($i=1; $i<=50; $i++){
				$newVpsName = $row['VC_prefName'] . Str::FixLen($row['VC_useNum']+$i, $row['VC_numLen']);
				$chk2exe = $DB->QueryParam('select '. $tabPart .'ID from '. OT_dbPref . $tabName .' where '. $tabPart .'vpsName=? limit 1',array($newVpsName));
				if (! $chk2exe->fetch()){
					$vpsName = $newVpsName;
					$useNum = $row['VC_useNum']+$i;
					break;
				}
				$chk2exe=null;
			}
		}
		unset($classexe);

		return array('vpsName'=>$vpsName, 'useNum'=>$useNum);
	}


	// 判断未生效机器是否超出数量
	public static function CheckVpsState3Num($type, $userID, $maxNum){
		global $DB;

		if ($maxNum > 0){
			switch ($type){
				case 'host':	$tabName = 'hostUsers';		$tabPart = 'HU_';	break;
				case 'serv':	$tabName = 'servUsers';		$tabPart = 'SU_';	break;
				case 'vpsApi':	$tabName = 'vpsApiUsers';	$tabPart = 'VAU_';	break;
				case 'dialing':	$tabName = 'dialingUsers';	$tabPart = 'DU_';	break;
				case 'pptp':	$tabName = 'pptpUsers';		$tabPart = 'PU_';	break;
				default :
					JS::AlertBackEnd('vpsName类型错误（'. $type .'）');
					break;
			}
			// $vpsNum = $DB->GetOne('select count('. $tabPart .'ID) from '. OT_dbPref . $tabName .' where '. $tabPart .'userID='. $userID .' and '. $tabPart .'state>=3 and '. $tabPart .'state<=6 and '. $tabPart .'time>=date_sub(curdate(), INTERVAL 30 DAY)');
			$vpsNum = $DB->GetOne('select count('. $tabPart .'ID) from '. OT_dbPref . $tabName .' where '. $tabPart .'userID='. $userID .' and '. $tabPart .'state>=3 and '. $tabPart .'state<=6 and '. $tabPart .'time>='. $DB->ForTime(TimeDate::Add('d',-30)));
			if ($vpsNum > $maxNum){
				JS::AlertBackEnd('30天内 开通失败、开通中、待开通 状态机器超过'. $vpsNum .'台（规定最多'. $maxNum .'台），请先联系管理员处理这些状态机器。');
			}
		}
	}


	// PPTP到期时间计算
	public static function PptpEndTime($payNum, $payMode, $timeStr, $retMode='', $retStr=''){
		switch ($payMode){
			case '24hour':		return TimeDate::Add('min',60,$timeStr);
			// case '48hour':	return TimeDate::Add('min',60,$timeStr);
			case 'day':			return TimeDate::Add('d',$payNum,$timeStr);
			case 'week':		return TimeDate::Add('d',$payNum*7,$timeStr);
			case 'month':		return TimeDate::Add('m',$payNum,$timeStr);
			case '3month':		return TimeDate::Add('m',$payNum*3,$timeStr);
			case '6month':		return TimeDate::Add('m',$payNum*6,$timeStr);
			case 'year':		return TimeDate::Add('y',$payNum,$timeStr);
			default :
				if ($retMode == 'currTime'){
					return $timeStr;
				}else{
					if (strlen(''. $retStr) == 0){ $retStr='付款方式错误（'. $payMode .'）。'; }
					JS::AlertBackEnd($retStr);
				}
				break;
		}
	}


	// 到期时间计算
	public static function NewEndTime($payMode, $timeStr, $retMode='', $retStr=''){
		switch ($payMode){
			case 'doing':		return $timeStr;
			case '24hour':		return TimeDate::Add('d',1,$timeStr);
			case '48hour':		return TimeDate::Add('d',2,$timeStr);
			case 'day':			return TimeDate::Add('d',1,$timeStr);
			case 'week':		return TimeDate::Add('d',7,$timeStr);
			case 'month':		return TimeDate::Add('m',1,$timeStr);
			case '3month':		return TimeDate::Add('m',3,$timeStr);
			case '6month':		return TimeDate::Add('m',6,$timeStr);
			case 'year':		return TimeDate::Add('y',1,$timeStr);
			case '2year':		return TimeDate::Add('y',2,$timeStr);
			case '3year':		return TimeDate::Add('y',3,$timeStr);
			case '4year':		return TimeDate::Add('y',4,$timeStr);
			case '5year':		return TimeDate::Add('y',5,$timeStr);
			default :
				if ($retMode == 'currTime'){
					return $timeStr;
				}else{
					if (strlen(''. $retStr) == 0){ $retStr='付款方式错误（'. $payMode .'）。'; }
					JS::AlertBackEnd($retStr);
				}
				break;
		}
	}


	// 年付差价 虚拟主机
	public static function YearDiffPrice($oldPrice, $newPrice, $endTime){
		/* 按月算差价
		$monthPrice = (floatval($newPrice) - floatval($oldPrice))/12;
		$monthNum = TimeDate::Diff('m',TimeDate::Get(),$endTime,'ceil');
		return OT::ToFloat($monthPrice * $monthNum);
		*/
		// 按年算差价
		$yearPrice = floatval($newPrice) - floatval($oldPrice);
		$yearNum = TimeDate::Diff('y',TimeDate::Get(),$endTime,'ceil');
		return OT::ToFloat($yearPrice * $yearNum);
	}

	// 月付差价 服务器
	public static function MonthDiffPrice($oldPrice, $newPrice, $endTime){
		$monthPrice = floatval($newPrice) - floatval($oldPrice);
		$monthNum = TimeDate::Diff('m',TimeDate::Get(),$endTime,'ceil');
		return OT::ToFloat($monthPrice * $monthNum);
	}

	// idc随机密码
	public static function IdcRndPwd($type){
		return OT::RndChar(4,'ABC') . OT::RndChar(4,'num');
	}

}

?>